package com.docus.server.zz.service.impl;

import com.docus.server.constants.DSKeyConstants;
import com.docus.server.zz.infrastructure.mapper.ZzDeptMapper;
import com.docus.server.zz.service.IZzService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Component(DSKeyConstants.ZZ_DS_KEY + "ServiceImpl")
@AllArgsConstructor
public class ZzServiceImpl implements IZzService {

    private final ZzDeptMapper zzDeptMapper;

    @Override
    public List<Map<String, Object>> page(Date startDate, Date endDate, int pageNum, int pageSize) {
        return zzDeptMapper.page(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<Map<String, Object>> BatchForJZH(List<String> jzhs) {
        return zzDeptMapper.BatchForJZH(jzhs);
    }

    @Override
    public List<Map<String, Object>> BatchForJZHAndAdmissTimes(List<Map<String, Object>> datas) {
        return zzDeptMapper.BatchForJZHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForZYHAndAdmissTimes(List<Map<String, Object>> datas) {
        return zzDeptMapper.BatchForZYHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForEXAMTIME(List<Map<String, Object>> datas) {
        return zzDeptMapper.BatchForEXAMTIME(datas);
    }


}
